jQuery(document).ready(function(jQuery) {

    console.log('Admin WP Chat Popup');
    // Color picker
    jQuery('.popup-bg-color').wpColorPicker();
    jQuery('.popup-border-color').wpColorPicker();
    jQuery('.popup-opt-bg-color').wpColorPicker();
    jQuery('.popup-opt-bg-hover-color').wpColorPicker();
    jQuery('.popup-opt-txt-color').wpColorPicker();
    jQuery('.popup-opt-hover-txt-color').wpColorPicker();
    jQuery('.popup-opt-border-color').wpColorPicker();
    jQuery('.popup-link-color').wpColorPicker();

    // Select2
    jQuery('.posts-multiselect').select2({
        placeholder: 'Select posts',
        allowClear: true,
    });
    jQuery('.pages-multiselect').select2({
        placeholder: 'Select pages',
        allowClear: true,
    });

    // Pages options
    jQuery('input[name="all-pages"]').on('click', function() 
    {
        var selectedValue = jQuery(this).val();
        //console.log(selectedValue);
        if(selectedValue == '1'){
            jQuery('.pages-selection-tr').addClass('display-none');
            // Clear checkboxes selection
            //jQuery(".selected-pages").prop('checked', false);
        }else{
            jQuery('.pages-selection-tr').removeClass('display-none');
        }
    });

    jQuery('input[name="all-posts"]').on('click', function() 
    {
        var selectedValue = jQuery(this).val();
        if(selectedValue == '1'){
            // clear select 2 
            //jQuery('.posts-multiselect').val(null).trigger('change');
            jQuery('.posts-selection-tr').addClass('display-none');
        }else{
            jQuery('.posts-selection-tr').removeClass('display-none');
        }
    });

    // Reset form
    jQuery('.bitcx-reset').on('click', function(e) 
    {
        e.preventDefault();
        if(confirm('Are you sure you want to reset configurations?')){
            jQuery(".selected-pages").prop('checked', false);
            jQuery('.posts-multiselect').val(null).trigger('change');
            // All pages and posts
            jQuery('input[type="radio"][name="all-pages"][value="1"]').prop('checked', true);
            jQuery('input[type="radio"][name="all-posts"][value="1"]').prop('checked', true);

            // Ajax
            jQuery.ajax({
                url: wcpa_object.ajax_url,
                type: 'POST',
                data: {
                    action: 'bitcx_reset_wordpress_chatpopup_configurations',
                    security: wcpa_object.nonce
                },
                success: function(response) {
                    console.log(response);
                    location.reload();
                }
            });
        }
    });
});